body {
  margin: 0;
}

.top-half {
  min-height: 50vh;      
  background-color: #8A1538;
  width: 100%
}

.container {
max-width: 1200px;
flex-shrink: 1;
width: 100%;         
margin: 0 auto;     
box-sizing: border-box;
}

.bottom-half {
  min-height: 50vh;     
  background-color: white;
  width: 100%
}

#menuBtn {        
  border: none;
  cursor: pointer;
}

#menuBtn:hover {
  background-color: #5e0016;   
}
#ADN {
  border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px; 
  text-decoration: none;
}

#ADN:hover {
  background-color: #5e0016;   
}

#Productos {
  border: none;
  cursor: pointer;
}

#Productos:hover {
  background-color: #5e0016;   
}

#contactanos {         
  border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px; 
  text-decoration: none;
  text-align: center;
}

#contactanos:hover {
  background-color: #5e0016;   
}

.nav-buttons {
  display: flex;
  width: 100%;
}


.nav-buttons button {     
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px;  
  display:flex;
  flex-shrink: 1;
  flex: 1 1 auto;
  
}

.search-bar {               
  font-size: 18px;
  border: 8px solid gray;
  border-radius: 4px;
  outline: none;
  box-sizing: border-box;
  transition: border-color 0.2s ease, box-shadow 0.2s ease;
  flex-shrink: 1;
  flex: 1 1 auto;
}

#searchBtn:hover {
  background-color: #5e0016;   
}

.menu-wrapper {
  position: relative; 
}

.menu {
  position: absolute;  
  top: 100%;
  list-style: none;
  padding: 0;
  margin-top: 10px;
  display: none;
  border: none;      
  border-radius: 0px;          
  margin: 0;
  border 0; 
  z-index: 1000;
}

.menu li a {
  display: block;
  padding: 10px 15px;
  background-color: #800020;
  color: white;
  text-decoration: none;
  margin-bottom: 6px;
  border-radius: 0px;
  margin: 0;
  border 0; 
  font-size: 24px;
}


.menu li a:hover {
  background-color: #5e0016;
}

.dropdown {
 position: relative;
  flex: 1;         
  display: flex;
}


.productos-menu  {
  position: absolute;  
  top: 100%;
  list-style: none;
  padding: 0;
  margin-top: 10px;
  display: none;      
  border-radius: 4px;          
  margin: 0;
  padding: 0;
  min-width: 100%;
  z-index: 1000;
}


.productos-menu li a {
  display: block;
  padding: 10px 15px;
  background-color: #800020;
  color: white;
  text-decoration: none;
  margin-bottom: 4px;
  border-radius: 4px;
  font-size: 24px;
}

.productos-menu li a:hover {
  background-color: #5e0016;
}


#searchBtn {
 border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;  
  border-radius: 4px; 
  flex-shrink: 1;
}

#logo {
position: relative;
margin-top: 25px;
width: 200px;
justify-content: center;  
align-items: center; 
left: 50%; 
transform: translateX(-50%);
}

#logotitle {
  display: block;
  width: 100%;
  font-weight: bolder;
  font-family: sans-serif;
  color: white;
  font-size: 36px;
  padding: 0px 0px 40px 0px;
  background-color: #8A1538;
  text-align: center;
  margin-bottom: 0px; 
  
}

#maintitle {
  color: white;
  font-weight: bolder;
  font-size: 40px;
  margin-top: 0px;
  margin-bottom: 50px; 
  color: white;
  font-family: sans-serif;
  border-radius: 7px;
  text-align: center;
  padding: 20px 20px 70px 20px;
  background-color: #8A1538;
}


#subtitle {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  padding: 10px;
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
}

#subtitle2 {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  padding: 10px;
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
  margin-left: 30px;
}


#descripcion {
  display: inline-block;
  color: black;
  margin-top: 0; 
  font-size: 24px;
  padding: 10px;
  font-family: sans-serif;
  font-size: 24px;
  border-radius: 7px;
}


h2 {
     color: black;
}
#strong {
     color: black;
     font-size: 24px;
     display: inline-block;
     color: white;
     margin-top: 0; 
     padding: 10px;
     color: white;
     font-family: sans-serif;
     border-radius: 7px;
}
li {
     color: black;
}
#mision {
    font-family: sans-serif;
    font-size: 24px;
    margin-left: 40px;
     }

#subtitle3 {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
  margin-left: 35px;
}

#vision {
    font-family: sans-serif;
    font-size: 24px;
    margin-left: 40px;
     }

.image-row {
  display: flex;
  justify-content: space-between;
}

/* Slideshow container */
.slideshow {
  position: relative;
  max-width: 1200px;
  width: 800px;
  height: 600px;
  margin: 0px auto 40px auto;
  overflow: hidden;
  flex-shrink: 1 1 200px;
 }

/* Disable flex INSIDE slideshow */
.slideshow .image-row {
  display: block;
  position: relative;
  height: 100%;
 flex-shrink: 1 1 200px;
}

/* Slides */
.slide {
  position: absolute;
  inset: 0;
  max-width: 1200px;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  flex-shrink: 1 1 200px;
}

.slide.active {
  opacity: 1;
}

#footer {
background-color: #8A1538;
width: 100%;
height: 400px;
flex-shrink: 1 1 400px;
max-width: 100%;
margin: 0 auto; 
}

#footerlogo {
position: absolute;
  left: 50%;             
  transform: translateX(-50%);
}

#info {
position: absolute;
color: white;
align-items: center;
justify-content: center;
left: 20%;
margin-top: 200px;
font-size: 30px;
flex-shrink: 1 1 auto;
}

#inforight {
position: relative;
color: white;
align-items: right;
justify-content: right;
body {
  margin: 0;
}

.top-half {
  min-height: 50vh;      
  background-color: #8A1538;
  width: 100%
}

.container {
max-width: 1200px;
flex-shrink: 1;
width: 100%;         
margin: 0 auto;     
box-sizing: border-box;
}

.bottom-half {
  min-height: 50vh;     
  background-color: white;
  width: 100%
}

#menuBtn {        
  border: none;
  cursor: pointer;
}

#menuBtn:hover {
  background-color: #5e0016;   
}
#ADN {
  border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px; 
  text-decoration: none;
}

#ADN:hover {
  background-color: #5e0016;   
}

#Productos {
  border: none;
  cursor: pointer;
}

#Productos:hover {
  background-color: #5e0016;   
}

#contactanos {         
  border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px; 
  text-decoration: none;
  text-align: center;
}

#contactanos:hover {
  background-color: #5e0016;   
}

.nav-buttons {
  display: flex;
  width: 100%;
}


.nav-buttons button {     
  font-size: 18px;             
  background-color: gray;   
  color: white;
  border: none;
  flex: 1;  
  border-radius: 4px;  
  display:flex;
  flex-shrink: 1;
  flex: 1 1 auto;
  
}

.search-bar {               
  font-size: 18px;
  border: 8px solid gray;
  border-radius: 4px;
  outline: none;
  box-sizing: border-box;
  transition: border-color 0.2s ease, box-shadow 0.2s ease;
  flex-shrink: 1;
  flex: 1 1 auto;
}

#searchBtn:hover {
  background-color: #5e0016;   
}

.menu-wrapper {
  position: relative; 
}

.menu {
  position: absolute;  
  top: 100%;
  list-style: none;
  padding: 0;
  margin-top: 10px;
  display: none;
  border: none;      
  border-radius: 0px;          
  margin: 0;
  border 0; 
  z-index: 1000;
}

.menu li a {
  display: block;
  padding: 10px 15px;
  background-color: #800020;
  color: white;
  text-decoration: none;
  margin-bottom: 6px;
  border-radius: 0px;
  margin: 0;
  border 0; 
  font-size: 24px;
}


.menu li a:hover {
  background-color: #5e0016;
}

.dropdown {
 position: relative;
  flex: 1;         
  display: flex;
}


.productos-menu  {
  position: absolute;  
  top: 100%;
  list-style: none;
  padding: 0;
  margin-top: 10px;
  display: none;      
  border-radius: 4px;          
  margin: 0;
  padding: 0;
  min-width: 100%;
  z-index: 1000;
}


.productos-menu li a {
  display: block;
  padding: 10px 15px;
  background-color: #800020;
  color: white;
  text-decoration: none;
  margin-bottom: 4px;
  border-radius: 4px;
  font-size: 24px;
}

.productos-menu li a:hover {
  background-color: #5e0016;
}


#searchBtn {
 border: none;
  cursor: pointer;
  margin: 0px; 
  gap: 0px;          
  font-size: 18px;             
  background-color: gray;   
  color: white;  
  border-radius: 4px; 
  flex-shrink: 1;
}

#logo {
position: relative;
margin-top: 25px;
width: 200px;
justify-content: center;  
align-items: center; 
left: 50%; 
transform: translateX(-50%);
}

#logotitle {
  display: block;
  width: 100%;
  font-weight: bolder;
  font-family: sans-serif;
  color: white;
  font-size: 36px;
  padding: 0px 0px 40px 0px;
  background-color: #8A1538;
  text-align: center;
  margin-bottom: 0px; 
  
}

#maintitle {
  color: white;
  font-weight: bolder;
  font-size: 40px;
  margin-top: 0px;
  margin-bottom: 50px; 
  color: white;
  font-family: sans-serif;
  border-radius: 7px;
  text-align: center;
  padding: 20px 20px 70px 20px;
  background-color: #8A1538;
}


#subtitle {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  padding: 10px;
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
}

#subtitle2 {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  padding: 10px;
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
  margin-left: 30px;
}


#descripcion {
  display: inline-block;
  color: black;
  margin-top: 0; 
  font-size: 24px;
  padding: 10px;
  font-family: sans-serif;
  font-size: 24px;
  border-radius: 7px;
}


h2 {
     color: black;
}
#strong {
     color: black;
     font-size: 24px;
     display: inline-block;
     color: white;
     margin-top: 0; 
     padding: 10px;
     color: white;
     font-family: sans-serif;
     border-radius: 7px;
}
li {
     color: black;
}
#mision {
    font-family: sans-serif;
    font-size: 24px;
    margin-left: 40px;
     }

#subtitle3 {
  display: inline-block;
  color: black;
  font-size: 32px;
  font-weight: bold;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 50px; 
  font-family: sans-serif;
  border-radius: 7px;
  margin-bottom: 40px;
  margin-left: 35px;
}

#vision {
    font-family: sans-serif;
    font-size: 24px;
    margin-left: 40px;
     }

.image-row {
  display: flex;
  justify-content: space-between;
}

/* Slideshow container */
.slideshow {
  position: relative;
  max-width: 1200px;
  width: 800px;
  height: 600px;
  margin: 0px auto 40px auto;
  overflow: hidden;
  flex-shrink: 1 1 200px;
 }

/* Disable flex INSIDE slideshow */
.slideshow .image-row {
  display: block;
  position: relative;
  height: 100%;
 flex-shrink: 1 1 200px;
}

/* Slides */
.slide {
  position: absolute;
  inset: 0;
  max-width: 1200px;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  flex-shrink: 1 1 200px;
}

.slide.active {
  opacity: 1;
}

.site-footer {
position: relative;
background-color: #8A1538;
width: 100%;
height: 400px;
flex-shrink: 1 1 400px;
max-width: 100%;
margin: 0 auto; 
}

#footerlogo {
position: absolute;
  left: 50%;             
  transform: translateX(-50%);
}

#info {
position: absolute;
color: white;
left: 20%;
margin-top: 200px;
font-size: 30px;
}

#infoderecha {
position: absolute;
color: red;
right: 20%;
top: 200px;
font-size: 30px;
}











